/* {
  outline: 1px dashed springgreen !important;
}*/

.debug {
    position: fixed;
    bottom: 0.5rem;
    left: 0.5rem;
    z-index: 1000;
}

.debug::after {
    font-size: 0.6rem;
    color: black;
    font-family: sans-serif;
    text-transform: uppercase;
    content: "Base";
    padding: 0.5rem 1rem;
    /*margin: 0.5rem;*/
    box-shadow: 0.1rem 0.1rem 0.2rem rgba(black, 0.7);
    background-color: #7fbdf8;
    border-radius: 1rem;
}

/*@media (width >=576px)*/
@media screen and (max-width:767px) {
    .debug::after {
        content: "Smartphone 767";
        background-color: #c3d82c;
    }
}

/*@media (width >=768px)*/
@media screen and (min-width:768px) and (max-width:1023px) {
    .debug::after {
        content: "Tablet 768-1023";
        background-color: #fd8508;
    }
}

/*@media (width >=992px)*/
@media screen and (min-width:1024px) {
    .debug::after {
        content: "Desktop 1024";
        background-color: #fc3e1b;
    }

}

/*@media (width >=1200px) {
    .debug::after {
        content: "1200";
        background-color: #8d8d8d;
    }

}*/

/***
    The new CSS reset - version 1.7.3 (last updated 7.8.2022)
    GitHub page: https://github.com/elad2412/the-new-css-reset
***/

/*
    Remove all the styles of the "User-Agent-Stylesheet", except for the 'display' property
    - The "symbol *" part is to solve Firefox SVG sprite bug
 */
*:where(:not(html, iframe, canvas, img, svg, video, audio):not(svg *, symbol *)) {
    all: unset;
    display: revert;
}

/* Preferred box-sizing value */
*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Reapply the pointer cursor for anchor tags */
a,
button {
    cursor: revert;
}

/* Remove list styles (bullets/numbers) */
ol,
ul,
menu {
    list-style: none;
}

/* For images to not be able to exceed their container */
img {
    max-width: 100%;
}

/* removes spacing between cells in tables */
table {
    border-collapse: collapse;
}

/* Safari - solving issue when using user-select:none on the <body> text input doesn't working */
input,
textarea {
    -webkit-user-select: auto;
}

/* revert the 'white-space' property for textarea elements on Safari */
textarea {
    white-space: revert;
}

/* minimum style to allow to style meter element */
meter {
    -webkit-appearance: revert;
    appearance: revert;
}

/* reset default text opacity of input placeholder */
::placeholder {
    color: unset;
}

/* fix the feature of 'hidden' attribute.
   display:revert; revert to element instead of attribute */
:where([hidden]) {
    display: none;
}

/* revert for bug in Chromium browsers
   - fix for the content editable attribute will work properly.
   - webkit-user-select: auto; added for Safari in case of using user-select:none on wrapper element*/
:where([contenteditable]:not([contenteditable="false"])) {
    -moz-user-modify: read-write;
    -webkit-user-modify: read-write;
    overflow-wrap: break-word;
    -webkit-line-break: after-white-space;
    -webkit-user-select: auto;
}

/* apply back the draggable feature - exist only in Chromium and Safari */
:where([draggable="true"]) {
    -webkit-user-drag: element;
}
